Osi 0.107.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
OsiHotInfo Class Reference

This class contains the result of strong branching on a variable When created it stores enough information for strong branching. More...

`#include <OsiChooseVariable.hpp>`

Collaboration diagram for OsiHotInfo:
[legend]

## Public Member Functions
| OsiHotInfo ()
| Default Constructor. More...
| OsiHotInfo (OsiSolverInterface *solver, const OsiBranchingInformation *info, const OsiObject *const *objects, int whichObject)
| Constructor from useful information. More...
| OsiHotInfo (const OsiHotInfo &)
| Copy constructor. More...
OsiHotInfo & | operator= (const OsiHotInfo &rhs)
| Assignment operator. More...
virtual OsiHotInfo * | clone () const
| Clone. More...
virtual | ~OsiHotInfo ()
| Destructor. More...
int | updateInformation (const OsiSolverInterface *solver, const OsiBranchingInformation *info, OsiChooseVariable *choose)
| Fill in useful information after strong branch. More...
double | originalObjectiveValue () const
| Original objective value. More...
double | upChange () const
| Up change - invalid if n-way. More...
double | downChange () const
| Down change - invalid if n-way. More...
void | setUpChange (double value)
| Set up change - invalid if n-way. More...
void | setDownChange (double value)
| Set down change - invalid if n-way. More...
double | change (int k) const
| Change on way k. More...
int | upIterationCount () const
| Up iteration count - invalid if n-way. More...
int | downIterationCount () const
| Down iteration count - invalid if n-way. More...
int | iterationCount (int k) const
| Iteration count on way k. More...
int | upStatus () const
| Up status - invalid if n-way. More...
int | downStatus () const
| Down status - invalid if n-way. More...
void | setUpStatus (int value)
| Set up status - invalid if n-way. More...
void | setDownStatus (int value)
| Set down status - invalid if n-way. More...
int | status (int k) const
| Status on way k. More...
OsiBranchingObject * | branchingObject () const
| Branching object. More...
int | whichObject () const

## Protected Attributes
double | originalObjectiveValue_
| Original objective value. More...
double * | changes_
| Objective changes. More...
int * | iterationCounts_
| Iteration counts. More...
int * | statuses_
| Status -1 - not done 0 - feasible and finished 1 - infeasible 2 - not finished. More...
OsiBranchingObject * | branchingObject_
| Branching object. More...
int | whichObject_
| Which object on list. More...

## Detailed Description

This class contains the result of strong branching on a variable When created it stores enough information for strong branching.

Definition at line 432 of file OsiChooseVariable.hpp.

## Constructor & Destructor Documentation

OsiHotInfo::OsiHotInfo | ( |  | ) |

Default Constructor.

OsiHotInfo::OsiHotInfo | ( | OsiSolverInterface * | solver,
|  | const OsiBranchingInformation * | info,
|  | const OsiObject *const * | objects,
|  | int | whichObject
| ) |  |

Constructor from useful information.

OsiHotInfo::OsiHotInfo | ( | const OsiHotInfo & |  | ) |

Copy constructor.

virtual OsiHotInfo::~OsiHotInfo | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

OsiHotInfo& OsiHotInfo::operator= | ( | const OsiHotInfo & | rhs | ) |

Assignment operator.

virtual OsiHotInfo* OsiHotInfo::clone | ( |  | ) | const
| virtual

Clone.

int OsiHotInfo::updateInformation | ( | const OsiSolverInterface * | solver,
|  | const OsiBranchingInformation * | info,
|  | OsiChooseVariable * | choose
| ) |  |

Fill in useful information after strong branch.

Return status

double OsiHotInfo::originalObjectiveValue | ( |  | ) | const
| inline

Original objective value.

Definition at line 463 of file OsiChooseVariable.hpp.

double OsiHotInfo::upChange | ( |  | ) | const
| inline

Up change - invalid if n-way.

Definition at line 466 of file OsiChooseVariable.hpp.

double OsiHotInfo::downChange | ( |  | ) | const
| inline

Down change - invalid if n-way.

Definition at line 469 of file OsiChooseVariable.hpp.

void OsiHotInfo::setUpChange | ( | double | value | ) |
| inline

Set up change - invalid if n-way.

Definition at line 472 of file OsiChooseVariable.hpp.

void OsiHotInfo::setDownChange | ( | double | value | ) |
| inline

Set down change - invalid if n-way.

Definition at line 475 of file OsiChooseVariable.hpp.

double OsiHotInfo::change | ( | int | k | ) | const
| inline

Change on way k.

Definition at line 478 of file OsiChooseVariable.hpp.

int OsiHotInfo::upIterationCount | ( |  | ) | const
| inline

Up iteration count - invalid if n-way.

Definition at line 482 of file OsiChooseVariable.hpp.

int OsiHotInfo::downIterationCount | ( |  | ) | const
| inline

Down iteration count - invalid if n-way.

Definition at line 485 of file OsiChooseVariable.hpp.

int OsiHotInfo::iterationCount | ( | int | k | ) | const
| inline

Iteration count on way k.

Definition at line 488 of file OsiChooseVariable.hpp.

int OsiHotInfo::upStatus | ( |  | ) | const
| inline

Up status - invalid if n-way.

Definition at line 492 of file OsiChooseVariable.hpp.

int OsiHotInfo::downStatus | ( |  | ) | const
| inline

Down status - invalid if n-way.

Definition at line 495 of file OsiChooseVariable.hpp.

void OsiHotInfo::setUpStatus | ( | int | value | ) |
| inline

Set up status - invalid if n-way.

Definition at line 498 of file OsiChooseVariable.hpp.

void OsiHotInfo::setDownStatus | ( | int | value | ) |
| inline

Set down status - invalid if n-way.

Definition at line 501 of file OsiChooseVariable.hpp.

int OsiHotInfo::status | ( | int | k | ) | const
| inline

Status on way k.

Definition at line 504 of file OsiChooseVariable.hpp.

OsiBranchingObject* OsiHotInfo::branchingObject | ( |  | ) | const
| inline

Branching object.

Definition at line 507 of file OsiChooseVariable.hpp.

int OsiHotInfo::whichObject | ( |  | ) | const
| inline

Definition at line 509 of file OsiChooseVariable.hpp.

## Member Data Documentation

double OsiHotInfo::originalObjectiveValue_
| protected

Original objective value.

Definition at line 515 of file OsiChooseVariable.hpp.

double* OsiHotInfo::changes_
| protected

Objective changes.

Definition at line 517 of file OsiChooseVariable.hpp.

int* OsiHotInfo::iterationCounts_
| protected

Iteration counts.

Definition at line 519 of file OsiChooseVariable.hpp.

int* OsiHotInfo::statuses_
| protected

Status -1 - not done 0 - feasible and finished 1 - infeasible 2 - not finished.

Definition at line 526 of file OsiChooseVariable.hpp.

OsiBranchingObject* OsiHotInfo::branchingObject_
| protected

Branching object.

Definition at line 528 of file OsiChooseVariable.hpp.

int OsiHotInfo::whichObject_
| protected

Which object on list.

Definition at line 530 of file OsiChooseVariable.hpp.

The documentation for this class was generated from the following file:

- /tmp/Osi-0.107.7/Osi/src/Osi/OsiChooseVariable.hpp